#include "binstring.h"

#include <iostream>
#include <cstdio>
#include <cstdlib>

int compare_string(const std::string &s)
{
    std::cout << "1 " << s.size() << " " << s << "\n";
    fflush(stdout);

    int m;
    std::cin >> m;
    if (!std::cin.good()) exit(0);
    else return m;
}

void submit_string(const std::string &s)
{
    std::cout << "0 " << s << "\n";
    fflush(stdout);
    exit(0);
}

int main()
{

    int n;
    std::cin >> n;
    play(n);

    return 0;
}
